# NamiCustomerManager

- [CustomerJourneyState](https://docs.namiml.com/sdk-reference/namicustomermanager/customerjourneystate.md): Class representing the state of a customer's subscription journey.
- [isLoggedIn](https://docs.namiml.com/sdk-reference/namicustomermanager/isloggedin.md): Return if a user is currently logged into the device
- [journeyState](https://docs.namiml.com/sdk-reference/namicustomermanager/journeystate.md): Returns the current state of a customer's subscription journey.
- [loggedInId](https://docs.namiml.com/sdk-reference/namicustomermanager/loggedinid.md): Return the unique customer identifier associated with the current device.
- [login](https://docs.namiml.com/sdk-reference/namicustomermanager/login.md): Provide a customer id to link one or more devices to a known customer.
- [logout](https://docs.namiml.com/sdk-reference/namicustomermanager/logout.md): Disassociate a device from a customer identifier.
- [registerAccountStateHandler](https://docs.namiml.com/sdk-reference/namicustomermanager/registeraccountstatehandler.md)
- [registerJourneyStateHandler](https://docs.namiml.com/sdk-reference/namicustomermanager/registerjourneystatehandler.md)
- [setCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/setcustomerattribute.md)
- [getCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/getcustomerattribute.md)
- [clearCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/clearcustomerattribute.md)
- [clearAllCustomerAttributes](https://docs.namiml.com/sdk-reference/namicustomermanager/clearallcustomerattributes.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicustomermanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
